#!/bin/sh

# Get the full path to this script
curr=`pwd`
cd `dirname $0`
full_script_path=`pwd`
cd $curr

usage() {
  echo "Usage: $0 WLE_Install_Dir"
  exit 1  
}

if [ $# -lt 1 ]; then
  usage
fi

TEAMWORKS_HOME=$1

if [ ! -d $TEAMWORKS_HOME ]; then
  usage
fi

# JAVA_HOME must be set on Unix platforms since it is not put down by the TW installer
if [ "$JAVA_HOME" = "" ]; then
  JAVA_HOME=$TEAMWORKS_HOME/AppServer/java
fi

if [ ! -d $JAVA_HOME ]; then
  echo "Java could not be found under your WLE installation, please make sure that $TEAMWORKS_HOME is pointing to the correct WLE installation directory."
  usage
fi

if [ ! -f $JAVA_HOME/bin/java ]; then
  echo "Java could not be found in $JAVA_HOME/bin. Hot fix install requires a Java VM."
  exit 1
fi

java_args="-classpath $full_script_path/lib/ant-launcher.jar:$full_script_path/lib/ant.jar:$full_script_path/lib/ant-contrib.jar:$full_script_path/lib/ant-nodeps.jar:$JAVA_HOME/lib/tools.jar"

# default target is bootstrap
java_cmd="$JAVA_HOME/bin/java $java_args org.apache.tools.ant.launch.Launcher -buildfile $full_script_path/install_hotfix.xml -Dteamworks.home=$TEAMWORKS_HOME $2"
eval $java_cmd
